Skip to main content
GET
/
api
/
customer
List customers
curl --request GET \
  --url https://api.suby.fi/api/customer \
  --header 'X-Suby-Api-Key: <api-key>'
{
  "success": true,
  "data": {
    "data": [
      {
        "id": "<string>",
        "email": "jsmith@example.com",
        "name": "<string>",
        "totalPayments": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 25,
      "total": 42,
      "totalPages": 2
    }
  }
}

Authorizations

X-Suby-Api-Key
string
header
required

API key authentication

Query Parameters

page
integer
default:1

Page number (starts at 1)

Required range: x >= 1
limit
integer
default:25

Results per page (max 25)

Required range: 1 <= x <= 25

Response

Customers retrieved

success
boolean
Example:

true

data
object